<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE> PRINT </TITLE>
<META HTTP-EQUIV="imagetoolbar" CONTENT="no">
<meta http-equiv='Content-Type' content='text/html; charset=euc-kr'>
<script  language="javascript" src="../js/parse_get.js" type="text/JavaScript"></script>
<script  language="javascript" src="../js/parse_cookie.js" type="text/JavaScript"></script>
<STYLE>
	BODY { FONT-SIZE: 9pt; FONT-FAMILY: 굴림 }
	INPUT { FONT-SIZE: 9pt; FONT-FAMILY: 굴림 }
	td	{ font-size:9pt; color:black; font-family:굴림;}
	.break {page-break-before: always;} 
</STYLE>

<script language="javascript">
<!--
var albumCode = _get["albumCode"][0];
var CoverChk = _get["CoverChk"][0];

if(opener.printType != "Y") {
	alert('관리자가 프린트 기능을 제한하였습니다.');
	self.close();
}
if(opener.BookPrintLimit < 1) {
	alert(opener.CK_Print_Error_Msg);
	self.close();
}

DataLang18 = "<P>Select page to print</P>";
DataLang17 = "인쇄하기";
document.title =DataLang17;
var LoadImage=0;
var printStart = false;
function loadImg() {
	LoadImage++;
}

function Int(val) {

        len = val.length;
        if(len < 1) return 0;

        for(k=0;k<len;k++) {

                if(val.charAt(k) < '0' || val.charAt(k) > '9'){

                        return 0;
                }
        }

        return 1;
}

Array.prototype.unique = function()
{
  var a = {};
  for(var i=0; i<this.length; i++)
  {
    if(typeof a[this[i]] == "undefined")
      a[this[i]] = 1;
  }
  this.length = 0;
  for(var i in a)
    this[this.length] = i;
  return this;
}

function numberorder(a,b){
	return a - b;
}

function freeViewChange(target)
{
	var fObj = document.getElementById("freeViewPage");
	var pNum = target.options[target.selectedIndex].value;
	try{fObj.innerHTML =  "<img src='"+opener.PageData[pNum][0]+"' width='"+reSize[0]+"' height='"+reSize[1]+"' border=0>";}
	catch(e){}
}
function checkType(target) {
	for(i=0; i < target.sector.length; i++) {
		if(target.sector[i].checked==true) {
			var cType=target.sector[i].value;
			if(cType=="other") {
				target.otherVal.disabled = false;
				target.otherVal.style.backgroundColor = '#ffffff';
				target.otherVal.focus();
			}
			else {
				target.otherVal.disabled = true;
				target.otherVal.style.backgroundColor = '#c0c0c0';
				target.otherVal.value="";
			}	

			break;
		}
	}

	var tPage = opener.totalNum1;
	if(CoverChk)
		tPage--;

	if(opener.PageLoc == "1") {
		PrintImgNumL = opener.xxx;
		PrintImgNumR = opener.xxx-1;
	}
	else {
		PrintImgNumL = opener.xxx-1;
		PrintImgNumR = opener.xxx;
	}

	var d = new Array();
	if(cType=="all") {
		var c=0;
		var st = 1;
		if(CoverChk) st++;

		for(i=st; i <= tPage; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType=="left") {
		if(PrintImgNumL  >= 1 && PrintImgNumL <= tPage)
			d[0] = PrintImgNumL;
	}
	else if(cType == "right") {
		if(PrintImgNumR  >= 1 && PrintImgNumR <= tPage)
			d[0] = PrintImgNumR;
	}
	else if(cType =="start") {
		var c=0;
		for(i = PrintImgNumL; i <= tPage; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType == "end") {
		var c=0;
		var st = 1;
		if(CoverChk) st++;
		for(i=st; i <= PrintImgNumR; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType == "clib") {
		var d = new Array();
		ck = opener.GetCookieClib();
		if(ck) {
			ClibCk = ck;				
			cktmp = ck.split(";");
			for(i=0; i<cktmp.length; i++) {
				if(cktmp[i]) {
					d[i] = cktmp[i];
				}
			}
		}	
	}
	else if(cType =="other") {
		p2 = target.otherVal.value;	
		if(p2)
		{
			var d3 = new Array();
			if(p2.indexOf(",") == -1) d[0] = p2;
			else d = p2.split(",");

			for(i=0; i<=d.length-1; i++) {	
				if(d[i]) {
					if(d[i].indexOf("-") > -1) {
						d2 = d[i].split("-");
						
						if(d2[0] && d2[1] && Int(d2[0]) && Int(d2[1]) && d2[0] >= 1 && d2[0] <= tPage)
						{
							var c = d3.length;
							
							if(CoverChk && d2[0] && d2[1])
							{
								d2[0] = parseInt(d2[0]) + 1;
								d2[1] = parseInt(d2[1]) + 1;
							}

							for(m = parseInt(d2[0]); m <= parseInt(d2[1]); m++) 
							{		
								d3[c] = m;
								c++;
							}
						}

					} 
				}
			}
			
			var m = d.length;
			for(i=0; i < d3.length; i++) {
				if(d3[i]) {
					d[m] = d3[i];
					m++;
				}
			}
		}

	}

	c=0;
	var fPage = new Array();
	for(i=0; i < d.length; i++) {
			
		if(d[i] && d[i] != " ") {
			try {	
				if(d[i].indexOf("-") > -1) 
					continue;
			}catch(e){}
			
			if(Int(d[i])) {
				try{
					if(opener.PageData[d[i]][5] == "I") {
						fPage[c] = parseInt(d[i]);
						c++;
					}
				}catch(e){}
			}
		}
	}

	fPage.unique();
	fPage.sort(numberorder);
	
	var fObj = document.getElementById("freeViewPage");
	var target = document.freeViewForm.freeViewPageSelect;
	if(fPage.length > 0)
	{
		var len = target.length;
		
		for(s = 0 ; s < len ; s++)
		{
			target.options[0] = null;
		}

		if(fPage.length > 1)
		{
			for(s = 0 ; s < fPage.length ; s++)
			{
				
				target.options[s] = document.createElement("OPTION");
				target.options[s].text = fPage[s] + " page";
				target.options[s].value = fPage[s];
			}

			target.style.display = "block";
		}
		else
			target.style.display = "none";

		try{fObj.innerHTML =  "<img src='"+opener.PageData[fPage[0]][0]+"' width='"+reSize[0]+"' height='"+reSize[1]+"' border=0>";}
		catch(e){}
	}
	else
	{
		fObj.innerHTML = "프린트 가능한 페이지가 존재하지 않습니다.";
		document.freeViewForm.freeViewPageSelect.style.display = "none";
	}	
}
var p=new Array();
function SortPage(target) {
	for(i=0; i < target.sector.length; i++) {
		if(target.sector[i].checked==true) {
			var cType=target.sector[i].value;
			break;
		}
	}
	
	if(opener.PageLoc == "1") {
		PrintImgNumL = opener.xxx;
		PrintImgNumR = opener.xxx-1;
	}
	else {
		PrintImgNumL = opener.xxx-1;
		PrintImgNumR = opener.xxx;
	}

	var tPage = opener.totalNum1;
	if(CoverChk) tPage--;
	if(cType=="all") {
		var d = new Array();
		var c=0;
		var st = 1;
		if(CoverChk) st++;
		for(i=st; i <= tPage; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType=="left") {
		var d = new Array();
		if(PrintImgNumL  >= 1 && PrintImgNumL <= tPage)
			d[0] = PrintImgNumL;
		else {
			alert("프린트 가능한 페이지가 아닙니다.");
			return;
		}
	}
	else if(cType == "right") {
		var d = new Array();
		if(PrintImgNumR  >= 1 && PrintImgNumR <= tPage)
			d[0] = PrintImgNumR;
		else {
			alert("프린트 가능한 페이지가 아닙니다.");
			return;
		}
	}
	else if(cType =="start") {
		var d = new Array();
		var c=0;
		for(i = PrintImgNumL; i <= tPage; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType == "end") {
		var d = new Array();
		var c=0;
		var st = 1;
		if(CoverChk) st++;
		for(i=st; i <= PrintImgNumR; i++) {
			d[c] = i;
			c++;
		}
	}
	else if(cType == "clib") {
		var d = new Array();
		ck = opener.GetCookieClib();
		if(ck) {
			ClibCk = ck;				
			cktmp = ck.split(";");
			for(i=0; i<cktmp.length; i++) {
				if(cktmp[i]) {
					d[i] = cktmp[i];
				}
			}
		}	
	}
	else if(cType =="other") {
		p2 = target.otherVal.value;	
		
		if(!p2) {
			
			alert('페이지번호를 입력하세요');
			return;	
		}
		var d = new Array();
		var d3 = new Array();
		if(p2.indexOf(",") == -1) d[0] = p2;
		else d = p2.split(",");

		for(i=0; i<=d.length-1; i++) {
			
			if(d[i]) {
				if(d[i].indexOf("-") > -1) {
					
					d2 = d[i].split("-");
					
					if(!d2[0] || !d2[1]) {
						alert('페이지번호가 올바르지 않습니다');
						return;	
					}
					
					if(!Int(d2[0]) || !Int(d2[1])) {
						alert('페이지번호가 올바르지 않습니다');
						return;	
					}
					
					if(d2[0] < 1 || d2[0] > tPage || d2[1] < 1 || d2[1] > tPage) {
						
						alert('페이지는 1~'+tPage+' 까지 입니다');
						return;	
					}
					
					if(CoverChk && d2[0] && d2[1])
					{
						d2[0] = parseInt(d2[0]) + 1;
						d2[1] = parseInt(d2[1]) + 1;
					}

					var c = d3.length;
					for(m = parseInt(d2[0]); m <= parseInt(d2[1]); m++) {	
						d3[c] = m;
						c++;
					}	
				} else {
					if(!Int(d[i])) {
						alert('페이지번호가 올바르지 않습니다');
						return;	
					}
					if(d[i] < 1 || d[i] > tPage) {	
						alert('페이지는 1~'+tPage+' 까지 입니다');
						return;	
					}
				}
			}
		}
		
		var m = d.length;
		for(i=0; i < d3.length; i++) {
			if(d3[i]) {
				d[m] = d3[i];
				m++;
			}
		}

	}
	
	var p=new Array();
	c=0;
	for(i=0; i < d.length; i++) {
			
		if(d[i] && d[i] != " ") {
			try {	
				if(d[i].indexOf("-") > -1) 
					continue;
			}catch(e){}
			
			if(Int(d[i])) {
				if(opener.PageData[d[i]][5] == "I") {
					p[c] = d[i];
					c++;
				}
			}
		}
	}

	p.unique();
	p.sort(numberorder);

	if(p.length > 0) 
	{
		document.all.procPrint.style.display = "block";
		if(target.pSize[1].checked == true)
		{
			PrtWidth = opener.PrintPaperWidth2;
			PrtHeight = opener.PrintPaperHeight2;

			var ObjDiv = document.getElementById("printPage");
			ObjDiv.style.width = PrtWidth + 25;
			//ObjDiv.style.height = PrtHeight + 25;
			ObjDiv.style.top = 0;
			ObjDiv.style.left = 0;

			PrtPaperSize = "A3";
		}
		else
		{
			PrtPaperSize = "A4";
		}
		setTimeout("imgprint()",1000);

	//	imgprint(p);
		
	}
	else {
		alert("프린트 가능한 페이지가 없습니다.");
		return;
	}
	
}


function imgprint() {
	if(printStart == false) {
		
		for(i=0; i < p.length; i++) {
			if(opener.PageLoc == "1") {
				if(p[i]%2==0) locate = "R";
				else locate = "L";
			}
			else {
				if(p[i]%2==0) locate = "L";
				else locate = "R";
			}

			//var htmls = opener.PrintPrc2(p[i],locate,i);
			var htmls = opener.PrintPrc2(p[i],locate,PrtPaperSize);

			htmls = htmls.replace(/\.\//ig,"../page/"+albumCode+"/");
			if(i > 0) {
				PageCut_s = "<H1 CLASS=\"break\">";
				PageCut_e = "</H1>";
			}
			else {
				PageCut_s = "";
				PageCut_e = "";
			}
			/*
			if(htmlsc) htmlsc += PageCut_s+"<table width='680' height='963' border='0' cellpadding='0' cellspacing='0'><tr><td align='center' valign='top'>"+htmls+"</td></tr></table>"+PageCut_e;
			else var htmlsc = PageCut_s+"<table width='680' height='963' border='0' cellpadding='0' cellspacing='0'><tr><td align='center' valign='top'>"+htmls+"</td></tr></table>"+PageCut_e;
			*/
			if(htmlsc) htmlsc += PageCut_s+"<table  border='0' cellpadding='0' cellspacing='0'><tr><td align='center' valign='top'>"+htmls+"</td></tr></table>"+PageCut_e;
			else var htmlsc = PageCut_s+"<table border='0' cellpadding='0' cellspacing='0'><tr><td align='center' valign='top'>"+htmls+"</td></tr></table>"+PageCut_e;
		}
		
		//document.all.printPage.style.height=963*p.length;
		document.all.printPage.style.height=(PrtHeight*p.length) ;
		document.all.printPage.innerHTML = htmlsc;
		
		LoadPrintImage(p,"");
		printStart = true;
	}
	else return;
}

Ilen=0;
function LoadPrintImage(p,loop) {
	if(!loop) {	
		h = Math.floor(opener.MBookHeight * opener.Magnify); 
		len = Math.floor(h/opener.verCutLen);
		if(h%opener.verCutLen !=0) len++;
		Ilen = len * p.length;
	}
	divID = "printPage";

	window.status = LoadImage+","+Ilen;

	if(Ilen-LoadImage == 0) {
		printDiv(divID);
	}
	else {
		window.status = LoadImage+","+Ilen;
		setTimeout("LoadPrintImage('"+p+"',1)",10);
	}
}


var div2print;
function printDiv (id) {
  if (document.all && window.print) {
    div2print = document.all[id];
    window.onbeforeprint = hideDivs;
    window.onafterprint = showDivs;
	var PrintUpMsg = opener.CK_Print_Update_Msg;
    if(opener.CK_Set==1 && opener.UpdatePrintURL) {
		if(confirm(PrintUpMsg)) {
			opener.document.all.CK_Frame.src=opener.UpdatePrintURL+"?MKey="+opener.MKey+"&BKey="+opener.BKey;
			PrintUpDatePageRoad();
		}
		else {
			self.close();
		}
	}
	else {
		document.all.comf.style.display="none";
	   window.print();
	   LoadImage=0;
	   self.close();
	}
  }
  else if (document.layers) {
    div2print = document[id];
    hideDivs();
	if(opener.CK_Set==1 && opener.UpdatePrintURL) {
		if(confirm(PrintUpMsg)) {
			opener.document.all.CK_Frame.src=opener.UpdatePrintURL+"?MKey="+opener.MKey+"&BKey="+opener.BKey;
			PrintUpDatePageRoad();
		}
		else{
			self.close();
		}
	}
	else {
	   document.all.comf.style.display="none";
	   window.print();
		LoadImage=0;
		self.close();
	}
  } 
}


function hideDivs () {
  if (document.all) {
    var divs = document.all.tags('DIV');
    for (var d = 0; d < divs.length; d++)
      if (divs[d] != div2print)
        divs[d].style.display = 'none';
  }
  else if (document.layers) {
    for (var l = 0; l < document.layers.length; l++)
      if (document.layers[l] != div2print)
        document.layers[l].visibility = 'hide';
  }
}
function showDivs () {
	if (document.all) {
		var divs = document.all.tags('DIV');
		for (var d = 0; d < divs.length; d++)
		  if (divs[d] == div2print)
			divs[d].style.display = 'block';
	}
	else if(document.layers) {
		for (var l = 0; l < document.layers.length; l++)
		  if (document.layers[l] == div2print)
			document.layers[l].visibility = 'visible';
	}
}


function A3Notice() 
{
	alert("출력용지를 A3 크기로 선택시 프린트할 기종 선택후 기본설정 중 공급용지를 A3 로 반드시 설정 하셔야 정상 출력이 가능 합니다");
}
//-->
</script>
</HEAD>

<BODY leftMargin=0 topMargin=0  oncontextmenu="return false"  ondragstart="return false" onselectstart="return false" scroll="no">
<!--//-->
<iframe  id="CK_Frame" name="CK_Frame" width="100%" height="100" style="display:none;"></iframe>
<span id=comf style="Z-INDEX: 10; LEFT: 0px; POSITION: absolute; TOP: 0px; display:block;">
<table width="506" height="200" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
<form name="PrintSector">
  <tr height="200">
    <td width="11"> </td>
    <td width="394" valign="middle" align="center">
	 
	 <table width="394" height="173" cellpadding="0" cellspacing="0" border="0">
	   <tr height="2">
	     <td colspan="3" background="../base/print/out_top.gif"></td>
	    </tr>
		
		<tr height="169">
		  <td width="2" background="../base/print/out_left.gif"></td>
		  <td width="390">
		   <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
		     <tr height="25">
			   <td width="10"> </td>
			   <td width="80">인쇄 범위</td>
			   <td width="300" ><img src="../base/print/print_line.gif"></td>
			 </tr>
			 <tr height="25">
			   <td width="10"> </td>
			   <td colspan="2" valign="top"><img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="all" onClick="checkType(this.form)"> 문서 전체 &nbsp;
			   <input type="radio" name="sector" value="clib" onClick="checkType(this.form)"> 책갈피</td>
			 </tr>
			 <tr height="25">
			   <td width="10"> </td>
			   <td colspan="2" valign="top">
			   <img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="left" onClick="checkType(this.form)" checked> 왼쪽 문서 &nbsp;
			   <input type="radio" name="sector" value="right" onClick="checkType(this.form)"> 오른쪽 문서
			   </td>
			 </tr>

			 <tr height="25">
			   <td width="10"> </td>
			   <td colspan="2" valign="top">
			   <img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="start" onClick="checkType(this.form)"> 현재 부터 &nbsp;
			   <input type="radio" name="sector" value="end" onClick="checkType(this.form)"> 현재 까지
			   </td>
			 </tr>

			 <tr height="44">
			   <td width="10"> </td>
			   <td colspan="2" >
			   <img src="../base/print/tran.gif" valign="absmiddle"><input type="radio" name="sector" value="other" onClick="checkType(this.form)"> 일부분 &nbsp;
			   <input type="text" size="15" name="otherVal" style="background-color=#c0c0c0;" disabled  onkeypress="if(event.keyCode!=46 && event.keyCode!=44 && event.keyCode!=45) {if ((event.keyCode<48)||(event.keyCode>57)) {event.returnValue=false;}}">
			   <img src="../base/print/ex.gif" border="0" valign="absmiddle" align="absmiddle" onKeyUp="checkType(this.form)">
			   </td>
			 </tr>

			 <tr>
			   <td colspan="3"></td>
			 </tr>
		   </table>

		  </td>
		  <td width="2" background="../base/print/out_right.gif"></td>
		</tr>
		
		<tr height="2">
		  <td colspan="3" background="../base/print/out_buttom.gif"></td>
		</tr>
	 </table>
	</td>
    <td width="101" align="center" valign="middle">
	  <table width="101" height="173" border="0" cellpadding="0" cellspacing="0">
	    <tr height="30">
		  <td align="center" valign="top"><img src="../base/print/print_ok.gif" onClick="SortPage(document.PrintSector);" border="0" style="cursor:pointer"></td>
		</tr>
		<tr height="3"><td></td></tr>
		<tr height="30">
		  <td align="center" valign="top"><img src="../base/print/print_cancel.gif" border="0" style="cursor:pointer;" onClick="self.close();"></td>
		</tr>
		<tr height="3"><td></td></tr>
		<tr height="30">
		  <td align="center" valign="bottom">프린트용지</td>
		</tr>
		<tr height="30">
		  <td align="center" valign="top"><input type="radio" name="pSize" value="A4" checked>A4 <input type="radio" name="pSize" value="A3" onclick="A3Notice();">A3</td>
		</tr>



		<tr><td></td></tR>
	  </table>
	</td>
  </tr>
</form>
</table>
<table width="506" height="540" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
  <tr>
    <td width="11"></td>
	<td >
	  <table width="484" height="173" cellpadding="0" cellspacing="0" border="0">
	   <tr height="2">
	     <td colspan="3" background="../base/print/out_top.gif"></td>
	   </tr>
	   <tr>
	     <td width="2" background="../base/print/out_left.gif"></td>
		 <td width="480" height="520" valign="top">
		   <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#C0C0C0">
		   <form name="freeViewForm">
			 <tr height="25">
			   <td width="10"> </td>
			   <td width="80">미리보기</td>
			   <td width="300"><img src="../base/print/print_line.gif"></td>
			   <td width="90" align="right"> <select name="freeViewPageSelect" style="display:none" onChange="freeViewChange(this);"></select></td>
			 </tr>
			 <tr>
			   <td colspan="4" align="center"><div id="freeViewPage" width="460" height="500"></div></td>
			 </tr>
		  </form>
		  </table>
         </td>
	     <td width="2" background="../base/print/out_right.gif"></td>
	   </tr>
	   <tr height="2">
		  <td colspan="3" background="../base/print/out_buttom.gif"></td>
		</tr>
      </table>
	</td>
	<td width="11"></td>
  </tr>
</table>
</span>
<div id="printPage" style="width:680;height:963;"></div>
<script language="javascript" type="text/javascript">
<!--
if(opener.PageLoc == "1") 
	document.PrintSector.sector[2].checked = true;
else 
	document.PrintSector.sector[3].checked = true;

if(opener.PageData[opener.xxx][5] == "I")
{
	var reSize = opener.image_resize(opener.bWidth, opener.bHeight, 460, 480);
	document.getElementById("freeViewPage").innerHTML = "<img src='"+opener.PageData[opener.xxx][0]+"' width='"+reSize[0]+"' height='"+reSize[1]+"' border=0>";
}
//-->
</script>
</BODY>
</HTML>
